"""Launch file for IMU calibration node."""

from launch import LaunchDescription
from launch_ros.actions import Node
from launch.substitutions import LaunchConfiguration
from launch.actions import DeclareLaunchArgument
import os
from ament_index_python.packages import get_package_share_directory


def generate_launch_description():
    pkg_dir = get_package_share_directory("saltybot_imu_calibration")
    config_file = os.path.join(pkg_dir, "config", "imu_calibration_config.yaml")

    return LaunchDescription(
        [
            DeclareLaunchArgument(
                "config_file",
                default_value=config_file,
                description="Path to configuration YAML file",
            ),
            Node(
                package="saltybot_imu_calibration",
                executable="imu_calibration_node",
                name="imu_calibration",
                output="screen",
                parameters=[LaunchConfiguration("config_file")],
            ),
        ]
    )
